package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class ManagementConsolePcmPreference {
    private Metadata metadata;
    private String maximumManagedSystemsForLongTermMonitor;
    private String maximumManagedSystemsForComputeLTM;
    private String maximumManagedSystemsForAggregation;
    private String maximumManagedSystemsForShortTermMonitor;
    private String aggregatedMetricsStorageDuration;
    private ManagedSystemPcmPreference managedSystemPcmPreference;

    public ManagementConsolePcmPreference() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getMaximumManagedSystemsForLongTermMonitor() {
        return maximumManagedSystemsForLongTermMonitor;
    }

    public void setMaximumManagedSystemsForLongTermMonitor(String maximumManagedSystemsForLongTermMonitor) {
        this.maximumManagedSystemsForLongTermMonitor = maximumManagedSystemsForLongTermMonitor;
    }

    public String getMaximumManagedSystemsForComputeLTM() {
        return maximumManagedSystemsForComputeLTM;
    }

    public void setMaximumManagedSystemsForComputeLTM(String maximumManagedSystemsForComputeLTM) {
        this.maximumManagedSystemsForComputeLTM = maximumManagedSystemsForComputeLTM;
    }

    public String getMaximumManagedSystemsForAggregation() {
        return maximumManagedSystemsForAggregation;
    }

    public void setMaximumManagedSystemsForAggregation(String maximumManagedSystemsForAggregation) {
        this.maximumManagedSystemsForAggregation = maximumManagedSystemsForAggregation;
    }

    public String getMaximumManagedSystemsForShortTermMonitor() {
        return maximumManagedSystemsForShortTermMonitor;
    }

    public void setMaximumManagedSystemsForShortTermMonitor(String maximumManagedSystemsForShortTermMonitor) {
        this.maximumManagedSystemsForShortTermMonitor = maximumManagedSystemsForShortTermMonitor;
    }

    public String getAggregatedMetricsStorageDuration() {
        return aggregatedMetricsStorageDuration;
    }

    public void setAggregatedMetricsStorageDuration(String aggregatedMetricsStorageDuration) {
        this.aggregatedMetricsStorageDuration = aggregatedMetricsStorageDuration;
    }

    public ManagedSystemPcmPreference getManagedSystemPcmPreference() {
        return managedSystemPcmPreference;
    }

    public void setManagedSystemPcmPreference(ManagedSystemPcmPreference managedSystemPcmPreference) {
        this.managedSystemPcmPreference = managedSystemPcmPreference;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }
}
